List reports
curl --request GET \
--url https://app-api.costory.io/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.costory.io/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.costory.io/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"teamId": "<string>",
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {},
"scopeId": "<string>",
"scheduledWeekday": 123,
"scheduledFirstRunAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"updatedById": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"updatedBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"widgets": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reportId": "<string>",
"title": "<string>",
"description": "<string>",
"position": 123,
"parameters": {
"type": "TOP_FLOP",
"topN": 1,
"flopN": 1,
"advancedExplorerRequest": {
"period": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"forecastDays": 1,
"comparisonPeriod": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"enabled": true
}
},
"queries": [
{
"type": "condition",
"expression": "<string>",
"name": "<string>",
"colorIndex": 123,
"alias": "<string>",
"visible": true
}
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"bookmarkedEvents": [
"<string>"
],
"scopeId": "<string>",
"limitOverride": 500
},
"cutOff": 10,
"comparison": {
"kind": "PREVIOUS_PERIOD"
}
}
}
],
"destinations": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"reportId": "<string>",
"organizationId": "<string>",
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {},
"scopeId": "<string>",
"destinationValues": [
"<string>"
]
}
],
"nextRunDate": "2023-11-07T05:31:56Z",
"showTemplateRow": true,
"destinationCounts": {
"SLACK": 1,
"EMAIL": 1,
"TEAMS": 1
},
"recentRuns": [
{
"scheduledFor": "2023-11-07T05:31:56Z",
"destinations": [
{
"executionId": "<string>",
"destinationValues": [
"<string>"
],
"sentAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>"
}
]
}
],
"executions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reportId": "<string>",
"destinationId": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"widgets": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"executionId": "<string>",
"reportWidgetId": "<string>",
"resolvedParameters": {
"type": "TOP_FLOP",
"topN": 1,
"flopN": 1,
"advancedExplorerRequest": {
"period": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"forecastDays": 1,
"comparisonPeriod": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"enabled": true
}
},
"queries": [
{
"type": "condition",
"expression": "<string>",
"name": "<string>",
"colorIndex": 123,
"alias": "<string>",
"visible": true
}
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"bookmarkedEvents": [
"<string>"
],
"scopeId": "<string>",
"limitOverride": 500
},
"cutOff": 10,
"comparison": {
"kind": "PREVIOUS_PERIOD"
}
},
"result": {
"type": "TOP_FLOP",
"top": [
{
"name": "<string>",
"value": 123,
"variation": 123,
"difference": 123
}
],
"flop": [
{
"name": "<string>",
"value": 123,
"variation": 123,
"difference": 123
}
],
"comparisonPeriodSummary": "<string>",
"explorerUrl": "<string>"
},
"errorMessage": "<string>"
}
],
"destination": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"reportId": "<string>",
"organizationId": "<string>",
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {},
"scopeId": "<string>",
"destinationValues": [
"<string>"
]
},
"report": {
"id": "<string>",
"name": "<string>",
"organizationId": "<string>"
}
}
]
}
]{
"error": "VALIDATION_ERROR",
"details": "<string>",
"reason": "<string>"
}{
"error": "<string>"
}Reports API
List reports
Returns reports visible to the authenticated user. Optional recentExecutionsLimit embeds recent execution rows per report.
GET
/
reports
List reports
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Query Parameters
Filter by owning team id.
Include archived reports (default false).
Filter by cadence: SCHEDULED or ONE_TIME.
Available options:
SCHEDULED, ONE_TIME Required range:
0 < x <= 200Response
Reports in the organization
Available options:
PRIVATE, PUBLIC, TEMPLATE Available options:
TRAILING_90_DAYS, TRAILING_30_DAYS, TRAILING_45_DAYS, TRAILING_7_DAYS, TRAILING_3_DAYS, TRAILING_14_WEEKS, MTD, QTD, YTD, LAST_WEEK, LAST_MONTH, LAST_6_MONTHS, LAST_12_MONTHS, LAST_4_YEARS, LAST_3_MONTHS, LAST_INVOICE_MONTH, null Show child attributes
Show child attributes
Available options:
USD, EUR, GBP, CNY, null Available options:
DAILY, WEEKDAYS, WEEKLY, MONTHLY, null Available options:
ACTIVE, INACTIVE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
OK, FAILED, PARTIAL, IN_PROGRESS, NEVER_RUN Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I
